<?php

namespace App\Core\Validator\PropertyRoomAvailability;

use Illuminate\Contracts\Container\Container;
use Illuminate\Contracts\Translation\Translator;

use App\Core\Validator\BaseValidator;

use Exception;

class PropertyRoomAvailabilityBulkUpdateValidator extends BaseValidator
{


    private $updateTypes ;
    private $includeDays;

    public function __construct
    (


        Translator $translator,
        Container $container
    )
    {
        parent::__construct($translator, $container);
    }

    public function rules($params = null)
    {
        return
            [
                'availability' => 'array',
                'availability.*.setup_type_id' => 'required|numeric',
                'availability.*.room_id' => 'required|numeric',
                'availability.*.date' => 'required|date_format:Y-m-d',
                'availability.*.availability' => 'numeric',
            ];


    }

    public function messages()
    {
        $thisMessages = [];
        return array_merge(parent::messages() , $thisMessages);
    }


    public function validate(array $params, array $rules = [], array $messages = [], array $customAttributes = [])
    {
        return $this->make($params, $this->rules($params), $this->messages());
    }

}
